spandsp: t38_gateway_core_state_t Struct Reference

spandsp 0.0.6

Public Attributes | List of all members
t38_gateway_core_state_t Struct Reference

`#include <t38_gateway.h>`

## Public Attributes
int | supported_modems
| A bit mask of the currently supported modem types.
int | ecm_allowed
| TRUE if ECM FAX mode is allowed through the gateway.
int | ms_per_tx_chunk
| Required time between T.38 transmissions, in ms.
int | short_train
| TRUE if in image data modem is to use short training. This usually follows image_data_mode, but in ECM mode T.30 defines recovery conditions in which long training is used for image data.
int | image_data_mode
| TRUE if in image data mode, as opposed to TCF mode.
int | min_row_bits
| The minimum permitted bits per FAX scan line row.
int | count_page_on_mcf
| TRUE if we should count the next MCF as a page end, else FALSE.
int | pages_confirmed
| The number of pages for which a confirm (MCF) message was returned.
int | ecm_mode
| TRUE if we are in error correcting (ECM) mode.
int | fast_bit_rate
| The current bit rate for the fast modem.
int | fast_rx_modem
| The current fast receive modem type.
int | fast_rx_active
| The type of fast receive modem currently active, which may be T38_NONE.
int | timed_mode
| The current timed operation.
int | samples_to_timeout
| The number of samples until the next timeout event.
t38_gateway_to_t38_state_t | to_t38
t38_gateway_hdlc_state_t | hdlc_to_modem
t38_non_ecm_buffer_state_t | non_ecm_to_modem
t38_gateway_real_time_frame_handler_t * | real_time_frame_handler
| A pointer to a callback routine to be called when frames are exchanged.
void * | real_time_frame_user_data
| An opaque pointer supplied in real time frame callbacks.

## Detailed Description

T.38 gateway core descriptor.

## Member Data Documentation

## ◆ hdlc_to_modem

t38_gateway_hdlc_state_t t38_gateway_core_state_t::hdlc_to_modem

Buffer for data going to an HDLC modem.

## ◆ non_ecm_to_modem

t38_non_ecm_buffer_state_t t38_gateway_core_state_t::non_ecm_to_modem

Buffer for data going to a non-ECM mode modem.

Referenced by t38_gateway_init().

## ◆ to_t38

t38_gateway_to_t38_state_t t38_gateway_core_state_t::to_t38

Buffer for HDLC and non-ECM data going to the T.38 channel

Referenced by t38_gateway_init(), and t38_gateway_set_fill_bit_removal().

The documentation for this struct was generated from the following file:

- private/t38_gateway.h